Bug 167296 - /etc/rc.d/init.d/isdn completly missing support for active CAPI-drivenISDN cards like AVM B1
/etc/rc.d/init.d/isdn completly missing support for active CAPI-drivenISDN ca...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: isdn4k-utils (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 09:20 EDT by Peter Bieringer
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 15:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-09-01 09:20:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
active CAPI-driven ISDN cards like AVM B1 aren't supported by initscript of isdn4k-utils

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Put AVM B1 ISDN controller into system
2. Apply first workaound https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167291
3. Apply second workaound https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=167295
4. Try to use /etc/rc.d/init.d/isdn to execute the proper steps required for full function like:

# modprobe capidrv
# modprobe capi
# /sbin/avmcapictrl load /etc/firmware/isdn/b1.t4 1
Loading Bootcode /etc/firmware/isdn/b1.t4 ... done

  

Actual Results:  Not supported, FIRMWARE of /etc/sysconfig/isdn doesn't help, capi modules aren't loaded, too.



Expected Results:  Support of such card

Additional info:

Workaround:

1) disable isdn initscript
# chkconfig isdn off

2) use /etc/rc.modules to load modules and firmware:
# cat <<END >>/etc/rc.modules
# Enable AVM B1 CAPI and Firmware
modprobe capidrv && modprobe capi && while [ ! -e /dev/capi20 ]; do sleep 1; done && /sbin/avmcapictrl load /etc/firmware/isdn/b1.t4 1
END

# chmod 755 /etc/rc.modules
Comment 1 Ngo Than 2006-03-30 15:33:38 EST
RHEL3/4 only support the passiv ISDN cards. Active ISDN cards are not supported
yet. It should be supported in next coming RHEL5

Many thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.